package com.chenyang.nse.bussiness.entity.vo;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.chenyang.nse.bussiness.tools.dataprocess.hive.HiveEncDecType;

public class TableRuleInfo {
   @JsonIgnore
   private String id;
   private String projectId;
   private String dataSystemId;
   private String schema;
   private String table;
   private String encType;
   private String defEncType;
   private String storeType;
   @JsonIgnore
   private String username;

   public String getId() {
      return this.id;
   }

   public void setId(String id) {
      this.id = id;
   }

   public String getProjectId() {
      return this.projectId;
   }

   public void setProjectId(String projectId) {
      this.projectId = projectId;
   }

   public String getDataSystemId() {
      return this.dataSystemId;
   }

   public void setDataSystemId(String dataSystemId) {
      this.dataSystemId = dataSystemId;
   }

   public String getSchema() {
      return this.schema;
   }

   public void setSchema(String schema) {
      this.schema = schema;
   }

   public String getTable() {
      return this.table;
   }

   public void setTable(String table) {
      this.table = table;
   }

   public String getEncType() {
      return this.encType;
   }

   public void setEncType(String encType) {
      this.encType = encType;
   }

   public String getDefEncType() {
      return this.defEncType;
   }

   public void setDefEncType(String defEncType) {
      this.defEncType = defEncType;
   }

   public String getStoreType() {
      return this.storeType;
   }

   public void setStoreType(String storeType) {
      this.storeType = storeType;
   }

   public String getUsername() {
      return this.username;
   }

   public void setUsername(String username) {
      this.username = username;
   }

   @JsonIgnore
   public HiveEncDecType getType() {
      return HiveEncDecType.fromName(this.encType);
   }
}
